Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1489922 - Add eclipse-m2e-wtp packages (jaxrs, jpa, jsf)
Summary: Add eclipse-m2e-wtp packages (jaxrs, jpa, jsf)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-m2e-core
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RHT
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-08 16:36 UTC by Nick Boldt
Modified: 2017-11-22 11:02 UTC (History)
4 users (show)

Fixed In Version: eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 11:02:48 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Nick Boldt 2017-09-08 16:36:09 UTC
Description of problem:

We need to add these features and their associated plugins to Fedora for downstream consumption in rh-eclipse47

org.eclipse.m2e.wtp.feature,
org.eclipse.m2e.wtp.jaxrs.feature,
org.eclipse.m2e.wtp.jpa.feature,
org.eclipse.m2e.wtp.jsf.feature (all version 1.3.3)

http://download.jboss.org/jbosstools/updates/requirements/m2e-wtp/1.3.3.20170823-1905


Version-Release number of selected component (if applicable):

1.3.3.20170823-1905 (stable milestone for Oxygen)

Comment 1 Nick Boldt 2017-10-06 20:09:00 UTC
Built in Koji for F26-28:
https://koji.fedoraproject.org/koji/packageinfo?packageID=25333
This contains
org.eclipse.m2e.wtp.feature_1.3.3.201710050733
org.eclipse.m2e.wtp.jaxrs.feature_1.3.3.201710050733
org.eclipse.m2e.wtp.jpa.feature_1.3.3.201710050733
org.eclipse.m2e.wtp.jsf.feature_1.3.3.201710050733
org.eclipse.m2e.wtp.sdk.feature_1.3.3.201710050733
So I can add a F26+ Require on this package to the .spec file for devstudio rpm, once it makes it to brew.

Comment 4 Fedora Update System 2017-10-09 14:58:39 UTC
eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc26 eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b172deced3

Comment 5 Fedora Update System 2017-10-16 17:53:00 UTC
eclipse-m2e-apt-1.3.0-0.1.git12a8d33.fc26, eclipse-m2e-wtp-1.3.3-0.2.git9202520.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Mat Booth 2017-11-22 11:02:48 UTC
Hmm, not sure why Bodhi didn't close this bug.


Note You need to log in before you can comment on or make changes to this bug.